diff --git a/web/pgadmin/tools/debugger/static/js/debugger.js b/web/pgadmin/tools/debugger/static/js/debugger.js
index b1a2929c..d632343e 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger.js
@@ -291,19 +291,19 @@ define([
       $.ajax({
         url: _url,
         cache: false,
-        success: function() {
-          self.start_global_debugger();
-        },
-        error: function(xhr) {
-          try {
-            var err = JSON.parse(xhr.responseText);
-            if (err.success == 0) {
-              Alertify.alert(gettext('Debugger Error'), err.errormsg);
-            }
-          } catch (e) {
-            console.warn(e.stack || e);
+      })
+      .done(function() {
+        self.start_global_debugger();
+      })
+      .fail(function(xhr) {
+        try {
+          var err = JSON.parse(xhr.responseText);
+          if (err.success == 0) {
+            Alertify.alert(gettext('Debugger Error'), err.errormsg);
           }
-        },
+        } catch (e) {
+          console.warn(e.stack || e);
+        }
       });
     },
 
@@ -378,52 +378,52 @@ define([
       $.ajax({
         url: baseUrl,
         method: 'GET',
-        success: function(res) {
-          var url = url_for('debugger.direct', {
-            'trans_id': res.data.debuggerTransId,
-          });
+      })
+      .done(function(res) {
+        var url = url_for('debugger.direct', {
+          'trans_id': res.data.debuggerTransId,
+        });
 
-          if (res.data.newBrowserTab) {
-            window.open(url, '_blank');
-          } else {
-            pgBrowser.Events.once(
-              'pgadmin-browser:frame:urlloaded:frm_debugger',
-              function(frame) {
-                frame.openURL(url);
-              });
+        if (res.data.newBrowserTab) {
+          window.open(url, '_blank');
+        } else {
+          pgBrowser.Events.once(
+            'pgadmin-browser:frame:urlloaded:frm_debugger',
+            function(frame) {
+              frame.openURL(url);
+            });
 
-            // Create the debugger panel as per the data received from user input dialog.
-            var dashboardPanel = pgBrowser.docker.findPanels(
-                'properties'
-              ),
-              panel = pgBrowser.docker.addPanel(
-                'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
-              );
+          // Create the debugger panel as per the data received from user input dialog.
+          var dashboardPanel = pgBrowser.docker.findPanels(
+              'properties'
+            ),
+            panel = pgBrowser.docker.addPanel(
+              'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
+            );
 
-            panel.focus();
+          panel.focus();
 
-            // Panel Closed event
-            panel.on(wcDocker.EVENT.CLOSED, function() {
-              var closeUrl = url_for('debugger.close', {
-                'trans_id': res.data.debuggerTransId,
-              });
-              $.ajax({
-                url: closeUrl,
-                method: 'DELETE',
-              });
+          // Panel Closed event
+          panel.on(wcDocker.EVENT.CLOSED, function() {
+            var closeUrl = url_for('debugger.close', {
+              'trans_id': res.data.debuggerTransId,
             });
+            $.ajax({
+              url: closeUrl,
+              method: 'DELETE',
+            });
+          });
+        }
+      })
+      .fail(function(xhr) {
+        try {
+          var err = JSON.parse(xhr.responseText);
+          if (err.success == 0) {
+            Alertify.alert(gettext('Debugger Error'), err.errormsg);
           }
-        },
-        error: function(xhr) {
-          try {
-            var err = JSON.parse(xhr.responseText);
-            if (err.success == 0) {
-              Alertify.alert(gettext('Debugger Error'), err.errormsg);
-            }
-          } catch (e) {
-            console.warn(e.stack || e);
-          }
-        },
+        } catch (e) {
+          console.warn(e.stack || e);
+        }
       });
     },
 
@@ -446,107 +446,107 @@ define([
       $.ajax({
         url: _url,
         cache: false,
-        success: function(res) {
-
-          // Open Alertify the dialog to take the input arguments from user if function having input arguments
-          if (res.data[0]['require_input']) {
-            get_function_arguments(res.data[0], 0);
+      })
+      .done(function(res) {
+
+        // Open Alertify the dialog to take the input arguments from user if function having input arguments
+        if (res.data[0]['require_input']) {
+          get_function_arguments(res.data[0], 0);
+        } else {
+          // Initialize the target and create asynchronous connection and unique transaction ID
+          // If there is no arguments to the functions then we should not ask for for function arguments and
+          // Directly open the panel
+          var t = pgBrowser.tree,
+            i = t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined,
+            node = d && pgBrowser.Nodes[d._type];
+
+          if (!d)
+            return;
+
+          var treeInfo = node.getTreeNodeHierarchy.apply(node, [i]),
+            baseUrl;
+
+          if (d._type == 'function') {
+            baseUrl = url_for(
+              'debugger.initialize_target_for_function', {
+                'debug_type': 'direct',
+                'sid': treeInfo.server._id,
+                'did': treeInfo.database._id,
+                'scid': treeInfo.schema._id,
+                'func_id': treeInfo.function._id,
+              }
+            );
           } else {
-            // Initialize the target and create asynchronous connection and unique transaction ID
-            // If there is no arguments to the functions then we should not ask for for function arguments and
-            // Directly open the panel
-            var t = pgBrowser.tree,
-              i = t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined,
-              node = d && pgBrowser.Nodes[d._type];
-
-            if (!d)
-              return;
-
-            var treeInfo = node.getTreeNodeHierarchy.apply(node, [i]),
-              baseUrl;
-
-            if (d._type == 'function') {
-              baseUrl = url_for(
-                'debugger.initialize_target_for_function', {
-                  'debug_type': 'direct',
-                  'sid': treeInfo.server._id,
-                  'did': treeInfo.database._id,
-                  'scid': treeInfo.schema._id,
-                  'func_id': treeInfo.function._id,
-                }
-              );
-            } else {
-              baseUrl = url_for(
-                'debugger.initialize_target_for_function', {
-                  'debug_type': 'direct',
-                  'sid': treeInfo.server._id,
-                  'did': treeInfo.database._id,
-                  'scid': treeInfo.schema._id,
-                  'func_id': debuggerUtils.getProcedureId(treeInfo),
-                }
-              );
-            }
+            baseUrl = url_for(
+              'debugger.initialize_target_for_function', {
+                'debug_type': 'direct',
+                'sid': treeInfo.server._id,
+                'did': treeInfo.database._id,
+                'scid': treeInfo.schema._id,
+                'func_id': debuggerUtils.getProcedureId(treeInfo),
+              }
+            );
+          }
 
-            $.ajax({
-              url: baseUrl,
-              method: 'GET',
-              success: function(res) {
+          $.ajax({
+            url: baseUrl,
+            method: 'GET',
+          })
+          .done(function(res) {
 
-                var url = url_for('debugger.direct', {
-                  'trans_id': res.data.debuggerTransId,
+            var url = url_for('debugger.direct', {
+              'trans_id': res.data.debuggerTransId,
+            });
+
+            if (res.data.newBrowserTab) {
+              window.open(url, '_blank');
+            } else {
+              pgBrowser.Events.once(
+                'pgadmin-browser:frame:urlloaded:frm_debugger',
+                function(frame) {
+                  frame.openURL(url);
                 });
 
-                if (res.data.newBrowserTab) {
-                  window.open(url, '_blank');
-                } else {
-                  pgBrowser.Events.once(
-                    'pgadmin-browser:frame:urlloaded:frm_debugger',
-                    function(frame) {
-                      frame.openURL(url);
-                    });
-
-                  // Create the debugger panel as per the data received from user input dialog.
-                  var dashboardPanel = pgBrowser.docker.findPanels(
-                      'properties'
-                    ),
-                    panel = pgBrowser.docker.addPanel(
-                      'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
-                    );
-
-                  panel.focus();
-
-                  // Register Panel Closed event
-                  panel.on(wcDocker.EVENT.CLOSED, function() {
-                    var closeUrl = url_for('debugger.close', {
-                      'trans_id': res.data.debuggerTransId,
-                    });
-                    $.ajax({
-                      url: closeUrl,
-                      method: 'DELETE',
-                    });
-                  });
-                }
-              },
-              error: function(e) {
-                Alertify.alert(
-                  gettext('Debugger Target Initialization Error'),
-                  e.responseJSON.errormsg
+              // Create the debugger panel as per the data received from user input dialog.
+              var dashboardPanel = pgBrowser.docker.findPanels(
+                  'properties'
+                ),
+                panel = pgBrowser.docker.addPanel(
+                  'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
                 );
-              },
-            });
-          }
-        },
-        error: function(xhr) {
-          try {
-            var err = JSON.parse(xhr.responseText);
-            if (err.success == 0) {
-              Alertify.alert(gettext('Debugger Error'), err.errormsg);
+
+              panel.focus();
+
+              // Register Panel Closed event
+              panel.on(wcDocker.EVENT.CLOSED, function() {
+                var closeUrl = url_for('debugger.close', {
+                  'trans_id': res.data.debuggerTransId,
+                });
+                $.ajax({
+                  url: closeUrl,
+                  method: 'DELETE',
+                });
+              });
             }
-          } catch (e) {
-            console.warn(e.stack || e);
+          })
+          .fail(function(e) {
+            Alertify.alert(
+              gettext('Debugger Target Initialization Error'),
+              e.responseJSON.errormsg
+            );
+          });
+        }
+      })
+      .fail(function(xhr) {
+        try {
+          var err = JSON.parse(xhr.responseText);
+          if (err.success == 0) {
+            Alertify.alert(gettext('Debugger Error'), err.errormsg);
           }
-        },
+        } catch (e) {
+          console.warn(e.stack || e);
+        }
       });
     },
   };
diff --git a/web/pgadmin/tools/debugger/static/js/debugger_ui.js b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
index d88ac87e..6f6fad5b 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger_ui.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
@@ -192,26 +192,26 @@ define([
               url: _Url,
               method: 'GET',
               async: false,
-              success: function(res) {
-                if (res.data.args_count != 0) {
-                  for (i = 0; i < res.data.result.length; i++) {
-                    // Below will format the data to be stored in sqlite database
-                    func_args_data.push({
-                      'arg_id': res.data.result[i]['arg_id'],
-                      'is_null': res.data.result[i]['is_null'],
-                      'is_expression': res.data.result[i]['is_expression'],
-                      'use_default': res.data.result[i]['use_default'],
-                      'value': res.data.result[i]['value'],
-                    });
-                  }
+            })
+            .done(function(res) {
+              if (res.data.args_count != 0) {
+                for (i = 0; i < res.data.result.length; i++) {
+                  // Below will format the data to be stored in sqlite database
+                  func_args_data.push({
+                    'arg_id': res.data.result[i]['arg_id'],
+                    'is_null': res.data.result[i]['is_null'],
+                    'is_expression': res.data.result[i]['is_expression'],
+                    'use_default': res.data.result[i]['use_default'],
+                    'value': res.data.result[i]['value'],
+                  });
                 }
-              },
-              error: function() {
-                Alertify.alert(
-                  gettext('Debugger Error'),
-                  gettext('Unable to fetch the arguments from server')
-                );
-              },
+              }
+            })
+            .fail(function() {
+              Alertify.alert(
+                gettext('Debugger Error'),
+                gettext('Unable to fetch the arguments from server')
+              );
             });
 
             var argname, argtype, argmode, default_args_count, default_args, arg_cnt;
@@ -701,97 +701,97 @@ define([
                   data: {
                     'data': JSON.stringify(args_value_list),
                   },
-                  success: function(res) {
+                })
+                .done(function(res) {
 
-                    var url = url_for(
-                      'debugger.direct', {
-                        'trans_id': res.data.debuggerTransId,
-                      }
-                    );
+                  var url = url_for(
+                    'debugger.direct', {
+                      'trans_id': res.data.debuggerTransId,
+                    }
+                  );
 
-                    if (res.data.newBrowserTab) {
-                      window.open(url, '_blank');
-                    } else {
-                      pgBrowser.Events.once(
-                        'pgadmin-browser:frame:urlloaded:frm_debugger',
-                        function(frame) {
-                          frame.openURL(url);
-                        });
+                  if (res.data.newBrowserTab) {
+                    window.open(url, '_blank');
+                  } else {
+                    pgBrowser.Events.once(
+                      'pgadmin-browser:frame:urlloaded:frm_debugger',
+                      function(frame) {
+                        frame.openURL(url);
+                      });
 
-                      // Create the debugger panel as per the data received from user input dialog.
-                      var dashboardPanel = pgBrowser.docker.findPanels('properties'),
-                        panel = pgBrowser.docker.addPanel(
-                          'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
-                        );
+                    // Create the debugger panel as per the data received from user input dialog.
+                    var dashboardPanel = pgBrowser.docker.findPanels('properties'),
+                      panel = pgBrowser.docker.addPanel(
+                        'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
+                      );
 
-                      panel.focus();
+                    panel.focus();
 
-                      // Panel Closed event
-                      panel.on(wcDocker.EVENT.CLOSED, function() {
-                        var closeUrl = url_for('debugger.close', {
-                          'trans_id': res.data.debuggerTransId,
-                        });
-                        $.ajax({
-                          url: closeUrl,
-                          method: 'DELETE',
-                        });
-                      });
-                    }
-                    var _Url;
-
-                    if (d._type == 'function') {
-                      _Url = url_for('debugger.set_arguments', {
-                        'sid': treeInfo.server._id,
-                        'did': treeInfo.database._id,
-                        'scid': treeInfo.schema._id,
-                        'func_id': treeInfo.function._id,
-                      });
-                    } else if (d._type == 'procedure') {
-                      _Url = url_for('debugger.set_arguments', {
-                        'sid': treeInfo.server._id,
-                        'did': treeInfo.database._id,
-                        'scid': treeInfo.schema._id,
-                        'func_id': treeInfo.procedure._id,
-                      });
-                    } else if (d._type == 'edbfunc') {
-                      // Get the existing function parameters available from sqlite database
-                      _Url = url_for('debugger.set_arguments', {
-                        'sid': treeInfo.server._id,
-                        'did': treeInfo.database._id,
-                        'scid': treeInfo.schema._id,
-                        'func_id': treeInfo.edbfunc._id,
+                    // Panel Closed event
+                    panel.on(wcDocker.EVENT.CLOSED, function() {
+                      var closeUrl = url_for('debugger.close', {
+                        'trans_id': res.data.debuggerTransId,
                       });
-                    } else if (d._type == 'edbproc') {
-                      // Get the existing function parameters available from sqlite database
-                      _Url = url_for('debugger.set_arguments', {
-                        'sid': treeInfo.server._id,
-                        'did': treeInfo.database._id,
-                        'scid': treeInfo.schema._id,
-                        'func_id': treeInfo.edbproc._id,
+                      $.ajax({
+                        url: closeUrl,
+                        method: 'DELETE',
                       });
-                    }
+                    });
+                  }
+                  var _Url;
 
-                    $.ajax({
-                      url: _Url,
-                      method: 'POST',
-                      data: {
-                        'data': JSON.stringify(sqlite_func_args_list),
-                      },
-                      success: function() {},
-                      error: function() {
-                        Alertify.alert(
-                          gettext('Debugger Error'),
-                          gettext('Unable to set the arguments on the server')
-                        );
-                      },
+                  if (d._type == 'function') {
+                    _Url = url_for('debugger.set_arguments', {
+                      'sid': treeInfo.server._id,
+                      'did': treeInfo.database._id,
+                      'scid': treeInfo.schema._id,
+                      'func_id': treeInfo.function._id,
                     });
-                  },
-                  error: function(e) {
+                  } else if (d._type == 'procedure') {
+                    _Url = url_for('debugger.set_arguments', {
+                      'sid': treeInfo.server._id,
+                      'did': treeInfo.database._id,
+                      'scid': treeInfo.schema._id,
+                      'func_id': treeInfo.procedure._id,
+                    });
+                  } else if (d._type == 'edbfunc') {
+                    // Get the existing function parameters available from sqlite database
+                    _Url = url_for('debugger.set_arguments', {
+                      'sid': treeInfo.server._id,
+                      'did': treeInfo.database._id,
+                      'scid': treeInfo.schema._id,
+                      'func_id': treeInfo.edbfunc._id,
+                    });
+                  } else if (d._type == 'edbproc') {
+                    // Get the existing function parameters available from sqlite database
+                    _Url = url_for('debugger.set_arguments', {
+                      'sid': treeInfo.server._id,
+                      'did': treeInfo.database._id,
+                      'scid': treeInfo.schema._id,
+                      'func_id': treeInfo.edbproc._id,
+                    });
+                  }
+
+                  $.ajax({
+                    url: _Url,
+                    method: 'POST',
+                    data: {
+                      'data': JSON.stringify(sqlite_func_args_list),
+                    },
+                  })
+                  .done(function() {})
+                  .fail(function() {
                     Alertify.alert(
-                      gettext('Debugger Target Initialization Error'),
-                      e.responseJSON.errormsg
+                      gettext('Debugger Error'),
+                      gettext('Unable to set the arguments on the server')
                     );
-                  },
+                  });
+                })
+                .fail(function(e) {
+                  Alertify.alert(
+                    gettext('Debugger Target Initialization Error'),
+                    e.responseJSON.errormsg
+                  );
                 });
               } else {
                 // If the debugging is started again then we should only set the
@@ -806,13 +806,13 @@ define([
                   data: {
                     'data': JSON.stringify(args_value_list),
                   },
-                  success: function() {},
-                  error: function(e) {
-                    Alertify.alert(
-                      gettext('Debugger Listener Startup Error'),
-                      e.responseJSON.errormsg
-                    );
-                  },
+                })
+                .done(function() {})
+                .fail(function(e) {
+                  Alertify.alert(
+                    gettext('Debugger Listener Startup Error'),
+                    e.responseJSON.errormsg
+                  );
                 });
 
                 // Set the new input arguments given by the user during debugging
@@ -828,13 +828,13 @@ define([
                   data: {
                     'data': JSON.stringify(sqlite_func_args_list),
                   },
-                  success: function() {},
-                  error: function() {
-                    Alertify.alert(
-                      gettext('Debugger Error'),
-                      gettext('Unable to set the arguments on the server')
-                    );
-                  },
+                })
+                .done(function() {})
+                .fail(function() {
+                  Alertify.alert(
+                    gettext('Debugger Error'),
+                    gettext('Unable to set the arguments on the server')
+                  );
                 });
 
               }
